[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFileDialog.DoTypeChange

Performs actions needed when the value in FilterIndex has been changed.

## Declaration

Source position: dialogs.pp line 165

`public procedure TFileDialog.DoTypeChange; virtual;`

## Description

DoTypeChange is called when a new value is assigned to the FilterIndex property. It occurs after then value is FilterIndex has been stored to its property member.

DoTypeChange signals the OnTypeChange event handler (when assigned) using the TFileDialog instance as the control for the notification.

## See also

TFileDialog.Filter |  | A string which contains available filename filters used to select files by their file extensions.
TFileDialog.FilterIndex |  | This property sets which file filter is the default.
TFileDialog.OnTypeChange |  | Event handler signalled when the selected file type or filter index is changed.